### Virtual Method

# Gtk.TreeDragSource.row_draggable

#### Declaration [src]

    gboolean
    row_draggable (
      GtkTreeDragSource* drag_source,
      GtkTreePath* path
    )

#### Description [src]

Asks the `GtkTreeDragSource` whether a particular row can be used as the source of a DND operation. If the source doesn’t implement this interface, the row is assumed draggable.

#### Parameters

`path` | `GtkTreePath`
| row on which user is initiating a drag
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the row can be dragged